[Unit]
Description=Sound Service

# We require pulseaudio.socket to be active before starting the daemon, because
# while it is possible to use the service without the socket, it is not clear
# why it would be desirable.
#
# A user installing pulseaudio and doing `systemctl --user start pulseaudio`
# will not get the socket started, which might be confusing and problematic if
# the server is to be restarted later on, as the client autospawn feature
# might kick in. Also, a start of the socket unit will fail, adding to the
# confusion.
#
# After=pulseaudio.socket is not needed, as it is already implicit in the
# socket-service relationship, see systemd.socket(5).
Requires=pulseaudio.socket

[Service]
# Note that notify will only work if --daemonize=no
Type=notify
ExecStart=/usr/bin/pulseaudio --daemonize=no
{% for card in sound_cards %}
ExecStartPost=/usr/bin/pactl set-card-profile alsa_card.{{ card.name }} output:{{ card.profile }}
ExecStartPost=/usr/bin/pactl set-sink-volume alsa_output.{{ card.name }}.{{ card.profile }} {{ card.volume }}
{% endfor %}
Restart=on-failure

[Install]
Also=pulseaudio.socket
WantedBy=interactive.target
